www.cendio.com

Bug 1757

Summary: Consider removing TLCOS-specific files from client packages
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: | TLCOS (deprecated)Assignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Enhancement    
Priority: P2 CC: hean01@cendio.se
Version: 1.4.1Keywords: hean01_tester, prosaic
Target Milestone: 4.2.0   
Hardware: PC   
OS: Linux   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 1801    

Description From cendio 2005-12-27 10:55:55
Currently, we are shipping files that are specific to TLCOS in most client
packages:

tlcontrol
X-tlcontrol
tlclient-login

These files doesn't make sense on other distros than TLCOS; we do not support
running these scripts on other distros (although Motala does run these on FC2).
In bug 391, we decided that the -x flag should be reserved from TLCOS. In that
case, perhaps the flag should even be hidden? 

There are two other files that doesn't make sense in, say, the RPM package:

tl-su
ctwm

As I understand it, though, these are used in the thinstation package. Perhaps
we should remove them from the other packages.
------- Comment #1 From cendio 2006-07-06 12:25:52 -------
Need to verify thinstation functionality after doing this. 
------- Comment #2 From cendio 2012-06-27 10:15:33 -------
Even though bug 391 is closed, I'd say that the current policy is that "-x"
*is* supported on other platforms than TLCOS. For example, it's documented in
the TAG. 

Current list of files for -x mode:

/opt/thinlinc/lib/tlclient/tlcontrol

Current list of files specific to TLCOS, ie start X server etc:

/opt/thinlinc/bin/tlclient-xdm
/opt/thinlinc/lib/tlclient/tl-su
/opt/thinlinc/lib/tlclient/tlclient-xdmstartup
/opt/thinlinc/lib/tlclient/xdmstartup.d
/opt/thinlinc/lib/tlclient/xdmstartup.d/00-startwm.sh
/opt/thinlinc/lib/tlclient/xdmstartup.d/90-loop-client.sh
------- Comment #3 From cendio 2013-09-03 10:29:58 -------
We're removing TLCOS in this release so do this now as well.
------- Comment #4 From cendio 2013-12-04 11:09:59 -------
Fixed in 28179.